## org.exist.http.webdav.methods
Class Copy

    java.lang.Object
      org.exist.http.webdav.methods.AbstractWebDAVMethod
          org.exist.http.webdav.methods.Copy

All Implemented Interfaces:
  WebDAVMethod

public class Copy
extends AbstractWebDAVMethod

Implements the WebDAV COPY method.

Author:
  wolf

Constructor Summary
`Copy(BrokerPool pool)`

Method Summary
`void` `process(User user, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, XmldbURI path)` Process a WebDAV request.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Copy

    public Copy(BrokerPool pool)

Method Detail

### process

    public void process(User user,
                        javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        XmldbURI path)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Description copied from interface: `WebDAVMethod`
  Process a WebDAV request. The collection and resource parameters are set to the corresponding objects selected by the request path. The user parameter represents a valid database user.

  Parameters:
    `user` -
    `request` -
    `response` -
    `path` -
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

Copyright (C) Wolfgang Meier. All rights reserved.